#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 enclosed-exceptions
version:              1.0.3
visibility:           public
id:                   enclosed-exceptions-1.0.3-KLEUALuzsS93Ut641idjdu
key:                  enclosed-exceptions-1.0.3-KLEUALuzsS93Ut641idjdu
license:              MIT
maintainer:           jmacristovao@gmail.com, michael@snoyman.com
author:               Michael Snoyman, João Cristóvão
homepage:             https://github.com/jcristovao/enclosed-exceptions
synopsis:             Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>

category:             Control
abi:                  eab2eeca7aff2823755eeb020362c323
exposed:              True
exposed-modules:      Control.Exception.Enclosed
import-dirs:          /usr/lib/ghc-9.0.2/site-local/enclosed-exceptions-1.0.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/enclosed-exceptions-1.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-enclosed-exceptions
hs-libraries:         HSenclosed-exceptions-1.0.3-KLEUALuzsS93Ut641idjdu
depends:
    base-4.15.1.0 deepseq-1.4.5.0
    lifted-base-0.2.3.12-1TuuQhpd15S3w9qEsQ0mYH
    monad-control-1.0.3.1-Fcjv9SGMt3s3K9SeXZ6blX transformers-0.5.6.2
    transformers-base-0.4.6-DUSeQTy4AH79Q1LwIN2hX2

haddock-interfaces:
    /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock

haddock-html:         /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

